=== debian/changelog ===
yaku-ns (0.2-6) unstable; urgency=medium

  * d/control:
    - add Vcs fields.
    - drop Rules-Requires-Root.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Sun, 04 Jan 2026 00:54:40 +0000

yaku-ns (0.2-5) unstable; urgency=medium

  * Build using default build flags. (Closes: #1119635)
  * Bump standards version to 4.7.2.
  * d/control: drop essential dep: sysvinit-utils
  * d/copyright: update FSF address.
  * d/yaku-ns.service: systemd service added.

 -- Alex Myczko <tar@debian.org>  Thu, 30 Oct 2025 09:54:32 +0100

yaku-ns (0.2-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: bump years.
  * d/control: update lsb-base Depends to sysvinit-utils.

 -- Alex Myczko <tar@debian.org>  Tue, 18 Jun 2024 13:13:40 +0000

yaku-ns (0.2-3) unstable; urgency=medium

  * Apply patch to fix embedded build paths. Thanks Vagrant
    Cascadian. (Closes: #1020882)

 -- Gürkan Myczko <tar@debian.org>  Wed, 05 Oct 2022 09:55:17 +0200

yaku-ns (0.2-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Jul 2022 12:32:47 +0200

yaku-ns (0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #648436)

 -- Gürkan Myczko <tar@debian.org>  Fri, 10 Jun 2022 22:08:43 +0200
