=== debian/control ===
Source: yaku-ns
Section: net
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Vcs-Browser: https://salsa.debian.org/debian/yaku-ns
Vcs-Git: https://salsa.debian.org/debian/yaku-ns.git
Standards-Version: 4.7.2
Homepage: https://github.com/antirez/yaku-ns

Package: yaku-ns
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, procps
Description: small footprint, trivial to configure, DNS server
 This is a simple and small DNS server.
 Major features are:
  - Support for A, MX, NS, TXT, PTR, SOA in local resource records
  - Additional RRs handling
  - Responses cache, with optional TTL expiration
  - Forwarding to multiple exteral DNS servers, with simultaneous or
    time-driven query
  - Optional TCP zone transfer
  - A in RRs shuffling
  - Built-in ACL rules
  - Root privileges squashing
  - Chroot jail under unix systems
  - Secure DNS IDs to prevent DNS forget
  - Logging
  - Very simple config file
